Summary:	Startup Notification Library
Summary(pl.UTF-8):	Biblioteka Startup Notification
Name:		startup-notification
Version:	0.12
Release:	1
Group:		X11/Libraries
# most of the code is on MIT license, only sn-util.c contains LGPL-licensed GLib code
License:	LGPL v2+
Source0:	http://freedesktop.org/software/startup-notification/releases/%{name}-%{version}.tar.gz
# Source0-md5:	2cd77326d4dcaed9a5a23a1232fb38e9
URL:		http://startup-notification.freedesktop.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
BuildRequires:	libtool
BuildRequires:	libxcb-devel >= 1.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	xcb-util-devel >= 0.3.8
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Startup Notification Library implements a mechanism allowing a
desktop environment to track application startup, to provide user
feedback and other features.

%description -l pl.UTF-8
Biblioteka Startup Notification jest implementacją mechanizmu
pozwalającego środowisku graficznemu na śledzenie uruchamiania
aplikacji, dostarczanie odpowiedzi użytkownika oraz inne rzeczy.

%package devel
Summary:	Startup Notification Library development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki Startup Notification
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxcb-devel >= 1.6
Requires:	xcb-util-devel >= 0.3.8
Requires:	xorg-lib-libX11-devel

%description devel
Startup Notification Library development files.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki Startup Notification.

%package static
Summary:	Static Startup Notification Library library
Summary(pl.UTF-8):	Statyczna biblioteka Startup Notification
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Startup Notification Library library.

%description static -l pl.UTF-8
Statyczna biblioteka Startup Notification.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libstartup-notification-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstartup-notification-1.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/startup-notification.txt
%attr(755,root,root) %{_libdir}/libstartup-notification-1.so
%{_libdir}/libstartup-notification-1.la
%{_includedir}/startup-notification-1.0
%{_pkgconfigdir}/libstartup-notification-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libstartup-notification-1.a
%changelog
* Fri May 27 2011 Jakub Bogusz <qboosh@pld-linux.org> dbfd808
- updated to 0.12 (ABI compatibility fix)

* Mon May 09 2011 Jakub Bogusz <qboosh@pld-linux.org> bebf3fc
- updated to 0.11
- removed obsolete link patch
- use joint xcb-util library (>= 0.3.8)

* Thu Nov 18 2010 hawk <hawk@pld-linux.org> c808cf8
- release 2

* Sun May 23 2010 Jakub Bogusz <qboosh@pld-linux.org> 06d33c1
- BR: pkgconfig
- -devel R: xcb-util-devel

* Sat Oct 24 2009 Szymon Siwek <sls@pld-linux.org> bf5c111
- BR: xcb-util-devel >= 0.3.1

* Tue May 26 2009 pawelz <pawelz@pld-linux.org> c6ff82d
- up to 0.10
- new Source0 URL
- new URL
- BR: libxcb-devel
- BR: xcb-util-devel

* Tue May 26 2009 pawelz <pawelz@pld-linux.org> 629de73
- updated for 0.10

* Thu Nov 06 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 0135ce0
- release 3

* Thu Nov 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 6230400
- added X11 to Groups (it relies on libX11)
- revised docs packaging (included NEWS, removed empty README)
- more verbose files
- clarified License

* Mon Sep 03 2007 Jan Rękorajski <baggins@pld-linux.org> ea565b8
- rel 2

* Sat Mar 17 2007 Jakub Bogusz <qboosh@pld-linux.org> d22bd9c
- fixed Source0 URL

* Sat Mar 17 2007 Marcin Banasiak <marcin.banasiak@gmail.com> c95e0b1
- updated to 0.9

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b401e84
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 31f54a0
- converted to UTF-8

* Sun Nov 26 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 6d66e4e
- release 5 (rebuild with P: *.la)

* Sun Mar 05 2006 Jakub Bogusz <qboosh@pld-linux.org> cc9782e
- added link patch to avoid unnecessary libSM dependency

* Sun Mar 05 2006 Jakub Bogusz <qboosh@pld-linux.org> d36c7b1
- -lSM is not needed

* Fri Feb 17 2006 wolf <wolf@pld-linux.org> 66160b0
- xorg modular deps, rel 4

* Sun Jan 22 2006 freetz <freetz@pld-linux.org> 072a8c5
- rel.3 for th

* Tue Apr 12 2005 freetz <freetz@pld-linux.org> 1351c43
- reversed ldconfig changes

